#include <stdio.h>
#include <stdlib.h>

int main()
{
    int t, n, m;

    scanf("%d", &t);
    scanf("%d %d", &t);

    int niz[n];
    for(int i=0;i<n;i++){
        scanf("%d", &niz[n]);
    }
    printf("DA");

    return 0;
}